Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class GenericBeanTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.GenericBeanTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, GenericBeanType<T>

    public class GenericBeanTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, GenericBeanType<T>

This class implements the `generic-beanType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`GenericBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`GenericBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`AnnotationType<GenericBeanType<T>>` | `annotation()` Returns the `annotation` element
`EjbLocalRefType<GenericBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<GenericBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<GenericBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AnnotationType<GenericBeanType<T>>>` | `getAnnotationList()` Returns all `annotation` elements
`java.lang.String` | `getAopDomainName()` Returns the `aop-domain-name` element
`java.util.List<java.lang.String>` | `getDependsList()` Returns all `depends` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<EjbLocalRefType<GenericBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<GenericBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<GenericBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getHomeJndiName()` Returns the `home-jndi-name` element
`java.util.List<IconType<GenericBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.util.List<JndiRefType<GenericBeanType<T>>>` | `getJndiRefList()` Returns all `jndi-ref` elements
`java.lang.String` | `getLocalHomeJndiName()` Returns the `local-home-jndi-name` element
`java.lang.String` | `getLocalJndiName()` Returns the `local-jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<MessageDestinationRefType<GenericBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<PersistenceContextRefType<GenericBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<GenericBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<GenericBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<GenericBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<ResourceEnvRefType<GenericBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<GenericBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.util.List<ServiceRefType<GenericBeanType<T>>>` | `getServiceRefList()` Returns all `service-ref` elements
`IconType<GenericBeanType<T>>` | `icon()` Returns the `icon` element
`IgnoreDependencyType<GenericBeanType<T>>` | `ignoreDependency()` If not already created, a new `ignore-dependency` element will be created and returned.
`JndiRefType<GenericBeanType<T>>` | `jndiRef()` Returns the `jndi-ref` element
`MessageDestinationRefType<GenericBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`MethodAttributesType<GenericBeanType<T>>` | `methodAttributes()` If not already created, a new `method-attributes` element will be created and returned.
`PersistenceContextRefType<GenericBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<GenericBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`PoolConfigType<GenericBeanType<T>>` | `poolConfig()` If not already created, a new `pool-config` element will be created and returned.
`PortComponentType<GenericBeanType<T>>` | `portComponent()` If not already created, a new `port-component` element will be created and returned.
`LifecycleCallbackType<GenericBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<GenericBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`GenericBeanType<T>` | `removeAllAnnotation()` Removes all `annotation` elements
`GenericBeanType<T>` | `removeAllDepends()` Removes the `depends` element
`GenericBeanType<T>` | `removeAllDescription()` Removes the `description` element
`GenericBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`GenericBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`GenericBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`GenericBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`GenericBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`GenericBeanType<T>` | `removeAllJndiRef()` Removes all `jndi-ref` elements
`GenericBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`GenericBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`GenericBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`GenericBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`GenericBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`GenericBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`GenericBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`GenericBeanType<T>` | `removeAllServiceRef()` Removes all `service-ref` elements
`GenericBeanType<T>` | `removeAopDomainName()` Removes the `aop-domain-name` element
`GenericBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`GenericBeanType<T>` | `removeHomeJndiName()` Removes the `home-jndi-name` element
`GenericBeanType<T>` | `removeIgnoreDependency()` Removes the `ignore-dependency` element
`GenericBeanType<T>` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`GenericBeanType<T>` | `removeJndiName()` Removes the `jndi-name` element
`GenericBeanType<T>` | `removeLocalHomeJndiName()` Removes the `local-home-jndi-name` element
`GenericBeanType<T>` | `removeLocalJndiName()` Removes the `local-jndi-name` element
`GenericBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`GenericBeanType<T>` | `removeMethodAttributes()` Removes the `method-attributes` element
`GenericBeanType<T>` | `removePoolConfig()` Removes the `pool-config` element
`GenericBeanType<T>` | `removePortComponent()` Removes the `port-component` element
`GenericBeanType<T>` | `removeSecurityDomain()` Removes the `security-domain` element
`GenericBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`ResourceEnvRefType<GenericBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<GenericBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<GenericBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`ServiceRefType<GenericBeanType<T>>` | `serviceRef()` Returns the `service-ref` element
`GenericBeanType<T>` | `setAopDomainName(java.lang.String aopDomainName)` If not already created, a new `aop-domain-name` element with the given value will be created.
`GenericBeanType<T>` | `setDepends(java.lang.String depends)` Creates a new `depends` element
`GenericBeanType<T>` | `setDependsList(java.lang.String... values)` Creates for all String objects representing `depends` elements, a new `depends` element
`GenericBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`GenericBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`GenericBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`GenericBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`GenericBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`GenericBeanType<T>` | `setHomeJndiName(java.lang.String homeJndiName)` If not already created, a new `home-jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`GenericBeanType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setLocalHomeJndiName(java.lang.String localHomeJndiName)` If not already created, a new `local-home-jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setLocalJndiName(java.lang.String localJndiName)` If not already created, a new `local-jndi-name` element with the given value will be created.
`GenericBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`GenericBeanType<T>` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericBeanTypeImpl

    public GenericBeanTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### GenericBeanTypeImpl

    public GenericBeanTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public GenericBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### setDescriptionList

    public GenericBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `GenericBeanType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `GenericBeanType`

### removeAllDescription

    public GenericBeanType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `GenericBeanType<T>`
  Returns:
    list of `description`

### setDisplayName

    public GenericBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### setDisplayNameList

    public GenericBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `GenericBeanType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `GenericBeanType`

### removeAllDisplayName

    public GenericBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `GenericBeanType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public GenericBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### icon

    public IconType<GenericBeanType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<GenericBeanType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `GenericBeanType<T>`
  Returns:
    list of `icon`

### removeAllEnvEntry

    public GenericBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### envEntry

    public EnvEntryType<GenericBeanType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<GenericBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `GenericBeanType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public GenericBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### ejbRef

    public EjbRefType<GenericBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<GenericBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public GenericBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### ejbLocalRef

    public EjbLocalRefType<GenericBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<GenericBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public GenericBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### resourceRef

    public ResourceRefType<GenericBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<GenericBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public GenericBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### resourceEnvRef

    public ResourceEnvRefType<GenericBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<GenericBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public GenericBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### messageDestinationRef

    public MessageDestinationRefType<GenericBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<GenericBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public GenericBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### persistenceContextRef

    public PersistenceContextRefType<GenericBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<GenericBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public GenericBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### persistenceUnitRef

    public PersistenceUnitRefType<GenericBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<GenericBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public GenericBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### postConstruct

    public LifecycleCallbackType<GenericBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<GenericBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `GenericBeanType<T>`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public GenericBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### preDestroy

    public LifecycleCallbackType<GenericBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<GenericBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `GenericBeanType<T>`
  Returns:
    list of `pre-destroy`

### removeAllServiceRef

    public GenericBeanType<T> removeAllServiceRef()

  Removes all `service-ref` elements

  Specified by:
    `removeAllServiceRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### serviceRef

    public ServiceRefType<GenericBeanType<T>> serviceRef()

  Returns the `service-ref` element

  Specified by:
    `serviceRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `service-ref`

### getServiceRefList

    public java.util.List<ServiceRefType<GenericBeanType<T>>> getServiceRefList()

  Returns all `service-ref` elements

  Specified by:
    `getServiceRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `service-ref`

### setEjbName

    public GenericBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeEjbName

    public GenericBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    public GenericBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeMappedName

    public GenericBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeSecurityIdentity

    public GenericBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Specified by:
    `removeSecurityIdentity` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### securityIdentity

    public SecurityIdentityType<GenericBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Specified by:
    `securityIdentity` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `security-identity`

### setJndiName

    public GenericBeanType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Specified by:
    `setJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeJndiName

    public GenericBeanType<T> removeJndiName()

  Removes the `jndi-name` element

  Specified by:
    `removeJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getJndiName

    public java.lang.String getJndiName()

  Returns the `jndi-name` element

  Specified by:
    `getJndiName` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `jndi-name`

### setHomeJndiName

    public GenericBeanType<T> setHomeJndiName(java.lang.String homeJndiName)

  If not already created, a new `home-jndi-name` element with the given value will be created. Otherwise, the existing `home-jndi-name` element will be updated with the given value.

  Specified by:
    `setHomeJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeHomeJndiName

    public GenericBeanType<T> removeHomeJndiName()

  Removes the `home-jndi-name` element

  Specified by:
    `removeHomeJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getHomeJndiName

    public java.lang.String getHomeJndiName()

  Returns the `home-jndi-name` element

  Specified by:
    `getHomeJndiName` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `home-jndi-name`

### setLocalJndiName

    public GenericBeanType<T> setLocalJndiName(java.lang.String localJndiName)

  If not already created, a new `local-jndi-name` element with the given value will be created. Otherwise, the existing `local-jndi-name` element will be updated with the given value.

  Specified by:
    `setLocalJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeLocalJndiName

    public GenericBeanType<T> removeLocalJndiName()

  Removes the `local-jndi-name` element

  Specified by:
    `removeLocalJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getLocalJndiName

    public java.lang.String getLocalJndiName()

  Returns the `local-jndi-name` element

  Specified by:
    `getLocalJndiName` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `local-jndi-name`

### setLocalHomeJndiName

    public GenericBeanType<T> setLocalHomeJndiName(java.lang.String localHomeJndiName)

  If not already created, a new `local-home-jndi-name` element with the given value will be created. Otherwise, the existing `local-home-jndi-name` element will be updated with the given value.

  Specified by:
    `setLocalHomeJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeLocalHomeJndiName

    public GenericBeanType<T> removeLocalHomeJndiName()

  Removes the `local-home-jndi-name` element

  Specified by:
    `removeLocalHomeJndiName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getLocalHomeJndiName

    public java.lang.String getLocalHomeJndiName()

  Returns the `local-home-jndi-name` element

  Specified by:
    `getLocalHomeJndiName` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `local-home-jndi-name`

### setJndiBindingPolicy

    public GenericBeanType<T> setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Specified by:
    `setJndiBindingPolicy` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeJndiBindingPolicy

    public GenericBeanType<T> removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Specified by:
    `removeJndiBindingPolicy` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getJndiBindingPolicy

    public java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Specified by:
    `getJndiBindingPolicy` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `jndi-binding-policy`

### setSecurityDomain

    public GenericBeanType<T> setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Specified by:
    `setSecurityDomain` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeSecurityDomain

    public GenericBeanType<T> removeSecurityDomain()

  Removes the `security-domain` element

  Specified by:
    `removeSecurityDomain` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getSecurityDomain

    public java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Specified by:
    `getSecurityDomain` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `security-domain`

### removeMethodAttributes

    public GenericBeanType<T> removeMethodAttributes()

  Removes the `method-attributes` element

  Specified by:
    `removeMethodAttributes` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### methodAttributes

    public MethodAttributesType<GenericBeanType<T>> methodAttributes()

  If not already created, a new `method-attributes` element will be created and returned. Otherwise, the existing `method-attributes` element will be returned.

  Specified by:
    `methodAttributes` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `method-attributes`

### setDepends

    public GenericBeanType<T> setDepends(java.lang.String depends)

  Creates a new `depends` element

  Specified by:
    `setDepends` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### setDependsList

    public GenericBeanType<T> setDependsList(java.lang.String... values)

  Creates for all String objects representing `depends` elements, a new `depends` element

  Specified by:
    `setDependsList` in interface `GenericBeanType<T>`
  Parameters:
    `list` - of `depends` objects
  Returns:
    the current instance of `GenericBeanType`

### removeAllDepends

    public GenericBeanType<T> removeAllDepends()

  Removes the `depends` element

  Specified by:
    `removeAllDepends` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getDependsList

    public java.util.List<java.lang.String> getDependsList()

  Returns all `depends` elements

  Specified by:
    `getDependsList` in interface `GenericBeanType<T>`
  Returns:
    list of `depends`

### removeAllAnnotation

    public GenericBeanType<T> removeAllAnnotation()

  Removes all `annotation` elements

  Specified by:
    `removeAllAnnotation` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### annotation

    public AnnotationType<GenericBeanType<T>> annotation()

  Returns the `annotation` element

  Specified by:
    `annotation` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `annotation`

### getAnnotationList

    public java.util.List<AnnotationType<GenericBeanType<T>>> getAnnotationList()

  Returns all `annotation` elements

  Specified by:
    `getAnnotationList` in interface `GenericBeanType<T>`
  Returns:
    list of `annotation`

### removeIgnoreDependency

    public GenericBeanType<T> removeIgnoreDependency()

  Removes the `ignore-dependency` element

  Specified by:
    `removeIgnoreDependency` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### ignoreDependency

    public IgnoreDependencyType<GenericBeanType<T>> ignoreDependency()

  If not already created, a new `ignore-dependency` element will be created and returned. Otherwise, the existing `ignore-dependency` element will be returned.

  Specified by:
    `ignoreDependency` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `ignore-dependency`

### setAopDomainName

    public GenericBeanType<T> setAopDomainName(java.lang.String aopDomainName)

  If not already created, a new `aop-domain-name` element with the given value will be created. Otherwise, the existing `aop-domain-name` element will be updated with the given value.

  Specified by:
    `setAopDomainName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### removeAopDomainName

    public GenericBeanType<T> removeAopDomainName()

  Removes the `aop-domain-name` element

  Specified by:
    `removeAopDomainName` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### getAopDomainName

    public java.lang.String getAopDomainName()

  Returns the `aop-domain-name` element

  Specified by:
    `getAopDomainName` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `aop-domain-name`

### removePoolConfig

    public GenericBeanType<T> removePoolConfig()

  Removes the `pool-config` element

  Specified by:
    `removePoolConfig` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### poolConfig

    public PoolConfigType<GenericBeanType<T>> poolConfig()

  If not already created, a new `pool-config` element will be created and returned. Otherwise, the existing `pool-config` element will be returned.

  Specified by:
    `poolConfig` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `pool-config`

### removeAllJndiRef

    public GenericBeanType<T> removeAllJndiRef()

  Removes all `jndi-ref` elements

  Specified by:
    `removeAllJndiRef` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### jndiRef

    public JndiRefType<GenericBeanType<T>> jndiRef()

  Returns the `jndi-ref` element

  Specified by:
    `jndiRef` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `jndi-ref`

### getJndiRefList

    public java.util.List<JndiRefType<GenericBeanType<T>>> getJndiRefList()

  Returns all `jndi-ref` elements

  Specified by:
    `getJndiRefList` in interface `GenericBeanType<T>`
  Returns:
    list of `jndi-ref`

### removePortComponent

    public GenericBeanType<T> removePortComponent()

  Removes the `port-component` element

  Specified by:
    `removePortComponent` in interface `GenericBeanType<T>`
  Returns:
    the current instance of `GenericBeanType`

### portComponent

    public PortComponentType<GenericBeanType<T>> portComponent()

  If not already created, a new `port-component` element will be created and returned. Otherwise, the existing `port-component` element will be returned.

  Specified by:
    `portComponent` in interface `GenericBeanType<T>`
  Returns:
    the node defined for the element `port-component`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD